Open Lighting Architecture: ola::plugin::usbdmx::WidgetInterface Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::WidgetInterface Class Referenceabstract

## Detailed Description

The interface for a simple widget that supports a single universe of DMX.

Inheritance diagram for ola::plugin::usbdmx::WidgetInterface:

## Public Member Functions
virtual bool | Init ()=0
| Initialize the widget.
virtual ola::usb::USBDeviceID | GetDeviceId () const =0
| The device ID of this widget.
virtual bool | SendDMX (const DmxBuffer &buffer)=0
| Send DMX data from this widget.

## Member Function Documentation

## ◆ GetDeviceId()

virtual ola::usb::USBDeviceID ola::plugin::usbdmx::WidgetInterface::GetDeviceId | ( |  | ) | const
| pure virtual

The device ID of this widget.

Returns
  The USBDeviceID.

Implemented in ola::plugin::usbdmx::SimpleWidget.

## ◆ Init()

virtual bool ola::plugin::usbdmx::WidgetInterface::Init | ( |  | ) |
| pure virtual

Initialize the widget.

Returns
  true if this widget was initialized correctly, false otherwise.

Implemented in ola::plugin::usbdmx::AsynchronousAnymauDMX, ola::plugin::usbdmx::AsynchronousDMXCProjectsNodleU1, ola::plugin::usbdmx::AsynchronousEurolitePro, ola::plugin::usbdmx::AsynchronousScanlimeFadecandy, ola::plugin::usbdmx::AsynchronousSunlite, ola::plugin::usbdmx::AsynchronousVellemanK8062, ola::plugin::usbdmx::SynchronousAnymauDMX, ola::plugin::usbdmx::SynchronousDMXCProjectsNodleU1, ola::plugin::usbdmx::SynchronousEurolitePro, ola::plugin::usbdmx::SynchronousScanlimeFadecandy, ola::plugin::usbdmx::SynchronousSunlite, and ola::plugin::usbdmx::SynchronousVellemanK8062.

## ◆ SendDMX()

virtual bool ola::plugin::usbdmx::WidgetInterface::SendDMX | ( | const DmxBuffer & | buffer | ) |
| pure virtual

Send DMX data from this widget.

Parameters

  buffer | The DmxBuffer containing the data to send.

Returns
  true if the data was sent, false otherwise.

Implemented in ola::plugin::usbdmx::AsynchronousAnymauDMX, ola::plugin::usbdmx::AsynchronousDMXCProjectsNodleU1, ola::plugin::usbdmx::AsynchronousEurolitePro, ola::plugin::usbdmx::AsynchronousScanlimeFadecandy, ola::plugin::usbdmx::AsynchronousSunlite, ola::plugin::usbdmx::AsynchronousVellemanK8062, ola::plugin::usbdmx::SynchronousAnymauDMX, ola::plugin::usbdmx::SynchronousDMXCProjectsNodleU1, ola::plugin::usbdmx::SynchronousEurolitePro, ola::plugin::usbdmx::SynchronousScanlimeFadecandy, ola::plugin::usbdmx::SynchronousSunlite, and ola::plugin::usbdmx::SynchronousVellemanK8062.

The documentation for this class was generated from the following file:

- plugins/usbdmx/Widget.h